
/**
 * The MeasurableTester creates an array of BankAccount objects
 * as Measurable objects, and uses them.
 * 
 * @author Richard White 
 * @version 2018-02-26
 */
public class MeasurableTester
{
    public static void main(String[] args)
    {
        System.out.println("Averaging BankAccount objects as an array of *Measurable* objects:");
        Measurable[] accounts = new Measurable[3];
        accounts[0] = new BankAccount(100);
        accounts[1] = new BankAccount(1000);
        accounts[2] = new BankAccount(5000);
        System.out.println(Data.average(accounts));
    }
}
